Subject: RFC 4541 - errata and issues

From: Alfred Hönes <[email-masked]>
Date: Thu, 9 Nov 2006 00:18:34 +0100 (MEZ)

Hello,
after studying the recently published RFC 4541 (IGMP & MLD Snooping)
authored by you, I would like to submit a few comments, pointing
out some issues I found with the RFC text, and supplying material
for an appropriate RFC Errata Note.

(1)  improper IPv6 term used

Within Section 3 of RFC 4541, the 5th paragraph (spanning the page
break from page 8 to page 9) says:

   [...]
   Additionally, if a non-Querier switch spoofs any General Queries (as
 << page break >>
   addressed in Section 2.1 above, for Spanning Tree topology changes),
|  the switch should use the null IP source address (::) when sending
   said queries.  When such proxy queries are received, they must not be
   included in the Querier election process.

The term, "null" IP address is inappropriate, according to the current
IPv6 Address Architecture document.  RFC 4541 should use the proper
term, "unspecified" address (cf. Section 2.5.2 of RFC 4291).

Hence, the above text should say:

   [...]
   Additionally, if a non-Querier switch spoofs any General Queries (as
 << page break >>
   addressed in Section 2.1 above, for Spanning Tree topology changes),
|  the switch should use the unspecified IP source address (::) when
   sending said queries.  When such proxy queries are received, they
   must not be included in the Querier election process.

(2)  typo (singluar/plural mismatch)

The last paragraph of Section 3, on page 10 of RFC 4541, says:

                    vv
|  Initial allocation of IPv6 multicast addresses, as described in
|  [RFC3307], however, cover only the lower 32 bits of group ID.  [...]
                           ^^
It should say either:

   vvvv
|  The Initial allocation of IPv6 multicast addresses, as described in
|  [RFC3307], however, covers only the lower 32 bits of group ID.  [...]
                            ^
or:

   vvvv                  v
|  The Initial allocations of IPv6 multicast addresses, as described in
   [RFC3307], however, cover only the lower 32 bits of group ID.  [...]

(I also propose to include the missing article.)

(3)  related specification

Finally, I'd like to point out that the IPv6 Multicast Address
Architecture has been amended by RFC 3956.
Giving a reference to that RFC, as well as to RFC 4291, woukd have
been useful in the context of RFC 4541.

Items (1) and (2) might be suitable for an RFC Errata Note.

Preferrably, you should submit an Author's Errata Note to the
RFC Editor for publication on the RFC Errata web pages, making
freely use of the material supplied above.  But if you like,
I can formally submit an Errata Note on my own, with your consent.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+